{% extends 'index.html' %} 
{% load static %} {% load humanize %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <!-- Estilos -->
    <link rel="stylesheet" href="{% static 'css/help.css' %}" />
    <link rel="stylesheet" href="{% static 'css/main_sale.css' %}" />

    <title>Lista de productos</title>
  </head>
  <body>
  {% block content %} 
  {% if request.user.is_authenticated %}
    <div class="container">
      <h3>Vendedor: {{ request.user }} </h3>
      <div class="row"> 
        <div class="col-sm-4">
          <!--Card Total-->
          <div class="card">
            <div 
              class="card-header" 
              style="font-weight: bold; font-size: x-large;"
            >
              Total
            </div>
            <div class="card-body">
              <form method="get">
              $ <input
                  style="width: 120px;" 
                  type="number" 
                  name="nuevo_total" 
                  value="{{ new_total.total }}"
                >
                <button class="btn btn-primary" type="submit">
                  Finalizar Venta
                </button>
              </form>
            </div>
          </div>
          <!--fin Card Total-->
        </div>
        <div class="col-sm-6" >
          <br>
          <div class="card" style="margin-top: -23px;">
            <div 
              class="card-header" 
              style="font-weight: bold; font-size: x-large;"
            >
              Busqueda rápida
            </div>
            <div class="card-body">
              <form class="form-inline">
                <label class="sr-only" for="inlineFormInputName2">
                  Producto
                </label>
                <input type="text" class="form-control mb-2 mr-sm-2" id="inlineFormInputName2" placeholder="Codigo del producto...">
              
                <label class="sr-only" for="inlineFormInputGroupUsername2">
                  Cantidad
                </label>
                <div class="input-group mb-2 mr-sm-2">
                  <input type="text" class="form-control" id="inlineFormInputGroupUsername2" placeholder="Cantidad...">
                </div>
              
                <button type="submit" class="btn btn-primary mb-2">Buscar y agregar</button>
              </form>
            </div>
          </div>  
        </div>
      </div>

      <!--Fila 2-->
      <div class="row">
        
        <!--Columna 1-->
        <div class="col-12">
          <br>
          <!--Productos en venta-->
          <div class="card text-white bg-info mb-12 d-inline-block">
            <div class="card-header">Productos en esta venta</div>
            <div class="card-body">
              <table class="table table-bordered">
                <thead class="thead-light">
                    <tr>
                    <th>Producto</th>
                    <th>Cant</th>
                    <th>Precio</th>
                    </tr>
                </thead>
                <tbody>
                {% for pr in products_on_sale %}
                    <tr>
                    <td>{{ pr.product}}</td>
                    <td>{{ pr.cant_product}}</td>
                    <td>{{ pr.sale_price}}</td>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
          <!--fin Productos en venta-->
            
        </div>
        <!--fin Columna 2-->
        <div class="col">
          <br>
          <!--Tabla para agregar productos-->
          <h3 style="font-weight: bold; font-size: x-large;">
            Agrega productos a la venta
          </h3>
          <form method="get">
            <table class="table table-bordered">
              <thead class="thead-light">
                  <tr>
                  <th>Codigo</th>
                  <th>Marca</th>
                  <th>Descripcion</th>
                  <th>Precio</th>
                  <th>Cant</th>
                  <th>Agregar</th>
                  </tr>
              </thead>
              <tbody>
              {% for p in products %}
                  <tr>
                  <td>
                    <input
                      value="{{ p.barcode }}"
                      name="barcode"
                      style="width: 170px;" 
                      type="text"
                      class="form-control"
                    />
                  </td>
                  <td>
                    <input
                      value="{{ p.brand }}"
                      name="brand"
                      type="text"
                      style="width: 120px;" 
                      class="form-control"
                    />
                  </td>
                  <td>
                    <input
                      style="width: 150px;" 
                      value="{{ p.description }}"
                      name="description"
                      type="text"
                      class="form-control"
                    />
                  </td>
                  <td>
                    <input
                      style="width: 90px;"  
                      value="{{ p.sale_price }}"
                      name="sale_price"
                      type="text"
                      class="form-control"
                    />
                  </td>
                  <td>
                    <input 
                      style="width: 70px;" 
                      type="number" 
                      name="cantidad" 
                      id="cantidadId" 
                      value="1"
                    >
                  </td>
                  <td style="text-align: center;">
                    <button class="btn btn-success" type="submit">
                      +
                    </button>
                  </td>
              {% endfor %}
              </tbody>
            </table>
          </form>
          

      <!--Tabla para agregar productos-->
        </div>
      </div>
      <!--fin Fila 2-->

    </div>

    
    {% else %}

  {% endif %} 
  {% endblock content %}

  <script>
    function setCantidad() {
      document.getElementById("cantidadId").defaultValue = 1;
    }
    function alert_new() {
      alert("Alerta");
    }
  </script>
  </body>
</html>
